Libvirt console does not use compute resources hostname for connection
Assignee:    
Description

Currently when you access the console of a libvirt guest, it uses the compute resource connection url to ask libvirt what its hostname

is in order to open the console.  It seems much more straightforward to use the hostname section of the compute resource URL.  If

for some reason the hostname of the libvirt host is not resolvable to the foreman server the console connection will fail even though

foreman knows a perfectly resolvable hostname (the compute resource url).

History

#1 - 04/09/2014 03:28 PM - Justin Sherrill

https://github.com/theforeman/foreman/pull/1365/

#2 - 04/09/2014 03:29 PM - Justin Sherrill

- Category set to VM management

- Assignee set to Justin Sherrill

#3 - 04/09/2014 04:05 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.8.4

#4 - 04/10/2014 07:29 AM - Dominic Cleal

- Status changed from Ready For Testing to Assigned

#5 - 04/24/2014 12:15 PM - Dominic Cleal

- Status changed from Assigned to New

- Assignee deleted (Justin Sherrill)

- Target version deleted (1.8.4)

#6 - 08/04/2016 06:20 AM - Markus Frosch

I stumbled over the same problem. My case is that while the hypervisor is a public server, the libvirt and VNC is only available via VPN.

To change the connection IP I can just change the URI.

But the console always use the hostname.

I noticed that the virt-manager GUI tools seems always to use the connection host to get VNC. Maybe we should do that as well.

Thoughts?

#7 - 08/04/2016 08:28 AM - Markus Frosch

Correction: virt-manager connects via open_graphics_fd

This seems to differentiate where VNC is listening:
localhost -> libvirt is forwarding it via SSH + nc to 127.0.0.1:5901

all interfaces -> libvirt tries to connect via the same IP as the virtd connection
